Search:

OpenNab

languages

Download e Installazione

Download

La versione 0.09 è disponibile su SourceForge: https://sourceforge.net/projects/opennab/files/opennab/opennab_0.09/opennab_0.09.zip/download

Per restare al corrente delle nuove versioni pubblicate, potete sottoscrivere al feed stream OpenNab packages

Requisiti

  • Un Nabaztag/tag (OpenNab non funziona con la prima versione del Nabaztag quello senza ombelico)
  • Un server Apache (utilizzo della direttiva ErrorDocument dei files .htaccess) con scrittura PHP (4.4.x o 5.2.x)

Installazione

  1. Mettere tutti i files in una cartella del web server.
    • Questa cartella deve essere la radice di un dominio o di un sottodominio (esempio: my.domain.com)
  2. Assicuratevi che le cartelle non siano protette dalla scrittura.
    • OpenNab ha bisogno di poter scrivere nelle cartelle : /vl/burrows, /vl/logs, /vl/plugins/*/files
    • Se utilizzate un’applicazione client FTP come FileZilla per installare OpenNab, potete fare un click con il tasto destro su una scheda distante e scegliere "Proprietà del file.." per cambiare i diritti d'accesso.
  3. Con un qualsiasi web browser, andate su http://my.domain.com/vl/foobar
    • Dovrà apparire: 'ERROR 404 from OpenNab'. Alcuni browser (ad esempio Internet Explorer) possono aver bisogno di alcune modifiche di configurazione per mostrare questo messaggio.
    • Se non sarà mostrato, avete un problema con la configurazione di Apache (la direttiva ErrorDocument in .htaccess non potrà essere disponibile).
    • Dovete regolarla prima di andare più avanti.
  4. Con un qualsiasi web browser, andate sul sito http://my.domain.com/vl/tests/
    • Dovreste vedere una striscia verde con tutti i test riusciti.
    • Nel caso contrario, c'è un problema con Apache o PHP. OpenNab non funziona nella vostra configurazione.
    • Se avete un tale errore con PHP 4.4.x o 5.2.x, chiedete aiuto sul forum : http://sourceforge.net/forum/forum.php?forum_id=654766
    • Se,invece, avete questo errore con un'altra versione di PHP, è normale. Dovete aggiornare la vostra versione di PHP.
  5. Con un qualsiasi web browser, andate su http://my.domain.com/vl/bc.jsp?v=0.0.0.10&m=xx:xx:xx:xx:xx:xx&l=00:00:00:00:00:00&p=00:00:00:00:00:00&h=4
    • Dovreste vedere una pagina di testo strana che inizia con la parola "amber".
    • Se non appare niente o un errore, verificate la vostra configurazione ed eventualmente, chiedete assistenza.
  6. Se tutte le tappe precedenti sono riuscite correttamente, potete aggiornare la configurazione del vostro coniglio.
Edit - Print